// File created from ../../../src/bin/dhcp6/dhcp6_messages.mes on Tue Jan 27 2015 06:51

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace dhcp {

extern const isc::log::MessageID DHCP6_ACTIVATE_INTERFACE = "DHCP6_ACTIVATE_INTERFACE";
extern const isc::log::MessageID DHCP6_CCSESSION_STARTED = "DHCP6_CCSESSION_STARTED";
extern const isc::log::MessageID DHCP6_CCSESSION_STARTING = "DHCP6_CCSESSION_STARTING";
extern const isc::log::MessageID DHCP6_CLASS_ASSIGNED = "DHCP6_CLASS_ASSIGNED";
extern const isc::log::MessageID DHCP6_CLIENTID_MISSING = "DHCP6_CLIENTID_MISSING";
extern const isc::log::MessageID DHCP6_COMMAND_RECEIVED = "DHCP6_COMMAND_RECEIVED";
extern const isc::log::MessageID DHCP6_CONFIG_COMPLETE = "DHCP6_CONFIG_COMPLETE";
extern const isc::log::MessageID DHCP6_CONFIG_LOAD_FAIL = "DHCP6_CONFIG_LOAD_FAIL";
extern const isc::log::MessageID DHCP6_CONFIG_NEW_SUBNET = "DHCP6_CONFIG_NEW_SUBNET";
extern const isc::log::MessageID DHCP6_CONFIG_OPTION_DUPLICATE = "DHCP6_CONFIG_OPTION_DUPLICATE";
extern const isc::log::MessageID DHCP6_CONFIG_RECEIVED = "DHCP6_CONFIG_RECEIVED";
extern const isc::log::MessageID DHCP6_CONFIG_START = "DHCP6_CONFIG_START";
extern const isc::log::MessageID DHCP6_CONFIG_UPDATE = "DHCP6_CONFIG_UPDATE";
extern const isc::log::MessageID DHCP6_DB_BACKEND_STARTED = "DHCP6_DB_BACKEND_STARTED";
extern const isc::log::MessageID DHCP6_DDNS_CREATE_ADD_NAME_CHANGE_REQUEST = "DHCP6_DDNS_CREATE_ADD_NAME_CHANGE_REQUEST";
extern const isc::log::MessageID DHCP6_DDNS_CREATE_REMOVE_NAME_CHANGE_REQUEST = "DHCP6_DDNS_CREATE_REMOVE_NAME_CHANGE_REQUEST";
extern const isc::log::MessageID DHCP6_DDNS_LEASE_ASSIGN_FQDN_CHANGE = "DHCP6_DDNS_LEASE_ASSIGN_FQDN_CHANGE";
extern const isc::log::MessageID DHCP6_DDNS_LEASE_RENEW_FQDN_CHANGE = "DHCP6_DDNS_LEASE_RENEW_FQDN_CHANGE";
extern const isc::log::MessageID DHCP6_DDNS_RECEIVE_FQDN = "DHCP6_DDNS_RECEIVE_FQDN";
extern const isc::log::MessageID DHCP6_DDNS_REMOVE_INVALID_HOSTNAME = "DHCP6_DDNS_REMOVE_INVALID_HOSTNAME";
extern const isc::log::MessageID DHCP6_DDNS_REQUEST_SEND_FAILED = "DHCP6_DDNS_REQUEST_SEND_FAILED";
extern const isc::log::MessageID DHCP6_DDNS_SEND_FQDN = "DHCP6_DDNS_SEND_FQDN";
extern const isc::log::MessageID DHCP6_DEACTIVATE_INTERFACE = "DHCP6_DEACTIVATE_INTERFACE";
extern const isc::log::MessageID DHCP6_DYNAMIC_RECONFIGURATION = "DHCP6_DYNAMIC_RECONFIGURATION";
extern const isc::log::MessageID DHCP6_DYNAMIC_RECONFIGURATION_FAIL = "DHCP6_DYNAMIC_RECONFIGURATION_FAIL";
extern const isc::log::MessageID DHCP6_EXTEND_LEASE_SUBNET_SELECTED = "DHCP6_EXTEND_LEASE_SUBNET_SELECTED";
extern const isc::log::MessageID DHCP6_EXTEND_LEASE_SUBNET_SELECT_FAILED = "DHCP6_EXTEND_LEASE_SUBNET_SELECT_FAILED";
extern const isc::log::MessageID DHCP6_EXTEND_NA_UNKNOWN = "DHCP6_EXTEND_NA_UNKNOWN";
extern const isc::log::MessageID DHCP6_EXTEND_NA_UNKNOWN_SUBNET = "DHCP6_EXTEND_NA_UNKNOWN_SUBNET";
extern const isc::log::MessageID DHCP6_EXTEND_PD_NO_BINDING = "DHCP6_EXTEND_PD_NO_BINDING";
extern const isc::log::MessageID DHCP6_EXTEND_PD_UNKNOWN_SUBNET = "DHCP6_EXTEND_PD_UNKNOWN_SUBNET";
extern const isc::log::MessageID DHCP6_HOOKS_LIBS_RELOAD_FAIL = "DHCP6_HOOKS_LIBS_RELOAD_FAIL";
extern const isc::log::MessageID DHCP6_HOOK_BUFFER_RCVD_SKIP = "DHCP6_HOOK_BUFFER_RCVD_SKIP";
extern const isc::log::MessageID DHCP6_HOOK_BUFFER_SEND_SKIP = "DHCP6_HOOK_BUFFER_SEND_SKIP";
extern const isc::log::MessageID DHCP6_HOOK_LEASE6_EXTEND_SKIP = "DHCP6_HOOK_LEASE6_EXTEND_SKIP";
extern const isc::log::MessageID DHCP6_HOOK_LEASE6_RELEASE_NA_SKIP = "DHCP6_HOOK_LEASE6_RELEASE_NA_SKIP";
extern const isc::log::MessageID DHCP6_HOOK_LEASE6_RELEASE_PD_SKIP = "DHCP6_HOOK_LEASE6_RELEASE_PD_SKIP";
extern const isc::log::MessageID DHCP6_HOOK_LEASE6_RENEW_SKIP = "DHCP6_HOOK_LEASE6_RENEW_SKIP";
extern const isc::log::MessageID DHCP6_HOOK_PACKET_RCVD_SKIP = "DHCP6_HOOK_PACKET_RCVD_SKIP";
extern const isc::log::MessageID DHCP6_HOOK_PACKET_SEND_SKIP = "DHCP6_HOOK_PACKET_SEND_SKIP";
extern const isc::log::MessageID DHCP6_HOOK_SUBNET6_SELECT_SKIP = "DHCP6_HOOK_SUBNET6_SELECT_SKIP";
extern const isc::log::MessageID DHCP6_INIT_FAIL = "DHCP6_INIT_FAIL";
extern const isc::log::MessageID DHCP6_LEASE_ADVERT = "DHCP6_LEASE_ADVERT";
extern const isc::log::MessageID DHCP6_LEASE_ADVERT_FAIL = "DHCP6_LEASE_ADVERT_FAIL";
extern const isc::log::MessageID DHCP6_LEASE_ALLOC = "DHCP6_LEASE_ALLOC";
extern const isc::log::MessageID DHCP6_LEASE_ALLOC_FAIL = "DHCP6_LEASE_ALLOC_FAIL";
extern const isc::log::MessageID DHCP6_LEASE_NA_WITHOUT_DUID = "DHCP6_LEASE_NA_WITHOUT_DUID";
extern const isc::log::MessageID DHCP6_LEASE_PD_WITHOUT_DUID = "DHCP6_LEASE_PD_WITHOUT_DUID";
extern const isc::log::MessageID DHCP6_NAME_GEN_UPDATE_FAIL = "DHCP6_NAME_GEN_UPDATE_FAIL";
extern const isc::log::MessageID DHCP6_NOT_RUNNING = "DHCP6_NOT_RUNNING";
extern const isc::log::MessageID DHCP6_NO_INTERFACES = "DHCP6_NO_INTERFACES";
extern const isc::log::MessageID DHCP6_NO_SOCKETS_OPEN = "DHCP6_NO_SOCKETS_OPEN";
extern const isc::log::MessageID DHCP6_OPEN_SOCKET = "DHCP6_OPEN_SOCKET";
extern const isc::log::MessageID DHCP6_OPEN_SOCKET_FAIL = "DHCP6_OPEN_SOCKET_FAIL";
extern const isc::log::MessageID DHCP6_PACKET_MISMATCH_SERVERID_DROP = "DHCP6_PACKET_MISMATCH_SERVERID_DROP";
extern const isc::log::MessageID DHCP6_PACKET_PARSE_FAIL = "DHCP6_PACKET_PARSE_FAIL";
extern const isc::log::MessageID DHCP6_PACKET_PROCESS_FAIL = "DHCP6_PACKET_PROCESS_FAIL";
extern const isc::log::MessageID DHCP6_PACKET_RECEIVED = "DHCP6_PACKET_RECEIVED";
extern const isc::log::MessageID DHCP6_PACKET_RECEIVE_FAIL = "DHCP6_PACKET_RECEIVE_FAIL";
extern const isc::log::MessageID DHCP6_PACKET_SEND_FAIL = "DHCP6_PACKET_SEND_FAIL";
extern const isc::log::MessageID DHCP6_PACK_FAIL = "DHCP6_PACK_FAIL";
extern const isc::log::MessageID DHCP6_PARSER_COMMIT_EXCEPTION = "DHCP6_PARSER_COMMIT_EXCEPTION";
extern const isc::log::MessageID DHCP6_PARSER_COMMIT_FAIL = "DHCP6_PARSER_COMMIT_FAIL";
extern const isc::log::MessageID DHCP6_PARSER_CREATED = "DHCP6_PARSER_CREATED";
extern const isc::log::MessageID DHCP6_PARSER_EXCEPTION = "DHCP6_PARSER_EXCEPTION";
extern const isc::log::MessageID DHCP6_PARSER_FAIL = "DHCP6_PARSER_FAIL";
extern const isc::log::MessageID DHCP6_PD_LEASE_ADVERT = "DHCP6_PD_LEASE_ADVERT";
extern const isc::log::MessageID DHCP6_PD_LEASE_ADVERT_FAIL = "DHCP6_PD_LEASE_ADVERT_FAIL";
extern const isc::log::MessageID DHCP6_PD_LEASE_ALLOC = "DHCP6_PD_LEASE_ALLOC";
extern const isc::log::MessageID DHCP6_PD_LEASE_ALLOC_FAIL = "DHCP6_PD_LEASE_ALLOC_FAIL";
extern const isc::log::MessageID DHCP6_PROCESS_IA_NA_REQUEST = "DHCP6_PROCESS_IA_NA_REQUEST";
extern const isc::log::MessageID DHCP6_PROCESS_IA_PD_REQUEST = "DHCP6_PROCESS_IA_PD_REQUEST";
extern const isc::log::MessageID DHCP6_QUERY_DATA = "DHCP6_QUERY_DATA";
extern const isc::log::MessageID DHCP6_RELEASE_MISSING_CLIENTID = "DHCP6_RELEASE_MISSING_CLIENTID";
extern const isc::log::MessageID DHCP6_RELEASE_NA = "DHCP6_RELEASE_NA";
extern const isc::log::MessageID DHCP6_RELEASE_NA_FAIL = "DHCP6_RELEASE_NA_FAIL";
extern const isc::log::MessageID DHCP6_RELEASE_NA_FAIL_WRONG_DUID = "DHCP6_RELEASE_NA_FAIL_WRONG_DUID";
extern const isc::log::MessageID DHCP6_RELEASE_NA_FAIL_WRONG_IAID = "DHCP6_RELEASE_NA_FAIL_WRONG_IAID";
extern const isc::log::MessageID DHCP6_RELEASE_PD = "DHCP6_RELEASE_PD";
extern const isc::log::MessageID DHCP6_RELEASE_PD_FAIL = "DHCP6_RELEASE_PD_FAIL";
extern const isc::log::MessageID DHCP6_RELEASE_PD_FAIL_WRONG_DUID = "DHCP6_RELEASE_PD_FAIL_WRONG_DUID";
extern const isc::log::MessageID DHCP6_RELEASE_PD_FAIL_WRONG_IAID = "DHCP6_RELEASE_PD_FAIL_WRONG_IAID";
extern const isc::log::MessageID DHCP6_REQUIRED_OPTIONS_CHECK_FAIL = "DHCP6_REQUIRED_OPTIONS_CHECK_FAIL";
extern const isc::log::MessageID DHCP6_RESPONSE_DATA = "DHCP6_RESPONSE_DATA";
extern const isc::log::MessageID DHCP6_SERVERID_GENERATED = "DHCP6_SERVERID_GENERATED";
extern const isc::log::MessageID DHCP6_SERVERID_LOADED = "DHCP6_SERVERID_LOADED";
extern const isc::log::MessageID DHCP6_SERVERID_WRITE_FAIL = "DHCP6_SERVERID_WRITE_FAIL";
extern const isc::log::MessageID DHCP6_SERVER_FAILED = "DHCP6_SERVER_FAILED";
extern const isc::log::MessageID DHCP6_SHUTDOWN = "DHCP6_SHUTDOWN";
extern const isc::log::MessageID DHCP6_SHUTDOWN_REQUEST = "DHCP6_SHUTDOWN_REQUEST";
extern const isc::log::MessageID DHCP6_SOCKET_UNICAST = "DHCP6_SOCKET_UNICAST";
extern const isc::log::MessageID DHCP6_SRV_CONSTRUCT_ERROR = "DHCP6_SRV_CONSTRUCT_ERROR";
extern const isc::log::MessageID DHCP6_STANDALONE = "DHCP6_STANDALONE";
extern const isc::log::MessageID DHCP6_STARTING = "DHCP6_STARTING";
extern const isc::log::MessageID DHCP6_START_INFO = "DHCP6_START_INFO";
extern const isc::log::MessageID DHCP6_SUBNET_SELECTED = "DHCP6_SUBNET_SELECTED";
extern const isc::log::MessageID DHCP6_SUBNET_SELECTION_FAILED = "DHCP6_SUBNET_SELECTION_FAILED";
extern const isc::log::MessageID DHCP6_UNKNOWN_MSG_RECEIVED = "DHCP6_UNKNOWN_MSG_RECEIVED";
extern const isc::log::MessageID DHCP6_UNKNOWN_RELEASE_NA = "DHCP6_UNKNOWN_RELEASE_NA";
extern const isc::log::MessageID DHCP6_UNKNOWN_RELEASE_PD = "DHCP6_UNKNOWN_RELEASE_PD";

} // namespace dhcp
} // namespace isc

namespace {

const char* values[] = {
    "DHCP6_ACTIVATE_INTERFACE", "activating interface %1",
    "DHCP6_CCSESSION_STARTED", "control channel session started on socket %1",
    "DHCP6_CCSESSION_STARTING", "starting control channel session, specfile: %1",
    "DHCP6_CLASS_ASSIGNED", "client packet has been assigned to the following class(es): %1",
    "DHCP6_CLIENTID_MISSING", "mandatory client-id option is missing, message from %1 dropped",
    "DHCP6_COMMAND_RECEIVED", "received command %1, arguments: %2",
    "DHCP6_CONFIG_COMPLETE", "DHCPv6 server has completed configuration: %1",
    "DHCP6_CONFIG_LOAD_FAIL", "configuration error using file: %1, reason: %2",
    "DHCP6_CONFIG_NEW_SUBNET", "a new subnet has been added to configuration: %1",
    "DHCP6_CONFIG_OPTION_DUPLICATE", "multiple options with the code: %1 added to the subnet: %2",
    "DHCP6_CONFIG_RECEIVED", "received configuration: %1",
    "DHCP6_CONFIG_START", "DHCPv6 server is processing the following configuration: %1",
    "DHCP6_CONFIG_UPDATE", "updated configuration received: %1",
    "DHCP6_DB_BACKEND_STARTED", "lease database started (type: %1, name: %2)",
    "DHCP6_DDNS_CREATE_ADD_NAME_CHANGE_REQUEST", "created name change request: %1",
    "DHCP6_DDNS_CREATE_REMOVE_NAME_CHANGE_REQUEST", "created name change request: %1",
    "DHCP6_DDNS_LEASE_ASSIGN_FQDN_CHANGE", "FQDN for the allocated lease: %1 has changed. New values: hostname = %2, reverse mapping = %3, forward mapping = %4",
    "DHCP6_DDNS_LEASE_RENEW_FQDN_CHANGE", "FQDN for the renewed lease: %1 has changed",
    "DHCP6_DDNS_RECEIVE_FQDN", "received DHCPv6 Client FQDN Option: %1",
    "DHCP6_DDNS_REMOVE_INVALID_HOSTNAME", "invalid FQDN: %1 for the lease: %2 when removing DNS bindings",
    "DHCP6_DDNS_REQUEST_SEND_FAILED", "failed sending a request to kea-dhcp-ddns, error: %1,  ncr: %2",
    "DHCP6_DDNS_SEND_FQDN", "sending DHCPv6 Client FQDN Option to the client: %1",
    "DHCP6_DEACTIVATE_INTERFACE", "deactivate interface %1",
    "DHCP6_DYNAMIC_RECONFIGURATION", "initate server reconfiguration using file: %1, after receiving SIGHUP signal",
    "DHCP6_DYNAMIC_RECONFIGURATION_FAIL", "dynamic server reconfiguration failed with file: %1",
    "DHCP6_EXTEND_LEASE_SUBNET_SELECTED", "the %1 subnet was selected for client extending its lease",
    "DHCP6_EXTEND_LEASE_SUBNET_SELECT_FAILED", "failed to select a subnet for received %1: src=%2 type=%3",
    "DHCP6_EXTEND_NA_UNKNOWN", "received unknown IA_NA from client (duid=%1, iaid=%2) in subnet %3",
    "DHCP6_EXTEND_NA_UNKNOWN_SUBNET", "%1 message received from client on unknown subnet (duid=%2, iaid=%3)",
    "DHCP6_EXTEND_PD_NO_BINDING", "client sent a %1 message to extend lifetimes of prefixes for an unknown binding: duid=%2, iaid=%3, subnet=%4",
    "DHCP6_EXTEND_PD_UNKNOWN_SUBNET", "%1 message received from client on unknown subnet (duid=%2, iaid=%3)",
    "DHCP6_HOOKS_LIBS_RELOAD_FAIL", "reload of hooks libraries failed",
    "DHCP6_HOOK_BUFFER_RCVD_SKIP", "received DHCPv6 buffer was dropped because a callout set the skip flag",
    "DHCP6_HOOK_BUFFER_SEND_SKIP", "prepared DHCPv6 response was dropped because a callout set the skip flag",
    "DHCP6_HOOK_LEASE6_EXTEND_SKIP", "DHCPv6 lease lifetime was not extended because a callout set the skip flag for message %1",
    "DHCP6_HOOK_LEASE6_RELEASE_NA_SKIP", "DHCPv6 address lease was not released because a callout set the skip flag",
    "DHCP6_HOOK_LEASE6_RELEASE_PD_SKIP", "DHCPv6 prefix lease was not released because a callout set the skip flag",
    "DHCP6_HOOK_LEASE6_RENEW_SKIP", "DHCPv6 lease was not renewed because a callout set the skip flag",
    "DHCP6_HOOK_PACKET_RCVD_SKIP", "received DHCPv6 packet was dropped because a callout set the skip flag",
    "DHCP6_HOOK_PACKET_SEND_SKIP", "prepared DHCPv6 response was not sent because a callout set the skip flag",
    "DHCP6_HOOK_SUBNET6_SELECT_SKIP", "no subnet was selected because a callout set the skip flag",
    "DHCP6_INIT_FAIL", "failed to initialize Kea server: %1",
    "DHCP6_LEASE_ADVERT", "address lease %1 advertised (client duid=%2, iaid=%3)",
    "DHCP6_LEASE_ADVERT_FAIL", "failed to advertise an address lease for client duid=%1, iaid=%2",
    "DHCP6_LEASE_ALLOC", "address lease %1 has been allocated (client duid=%2, iaid=%3)",
    "DHCP6_LEASE_ALLOC_FAIL", "failed to grant an address lease for client duid=%1, iaid=%2",
    "DHCP6_LEASE_NA_WITHOUT_DUID", "address lease for address %1 does not have a DUID",
    "DHCP6_LEASE_PD_WITHOUT_DUID", "prefix lease for address %1 does not have a DUID",
    "DHCP6_NAME_GEN_UPDATE_FAIL", "failed to update the lease using address %1, after generating FQDN for a client, reason: %2",
    "DHCP6_NOT_RUNNING", "IPv6 DHCP server is not running",
    "DHCP6_NO_INTERFACES", "failed to detect any network interfaces",
    "DHCP6_NO_SOCKETS_OPEN", "no interface configured to listen to DHCP traffic",
    "DHCP6_OPEN_SOCKET", "opening sockets on port %1",
    "DHCP6_OPEN_SOCKET_FAIL", "failed to open socket: %1",
    "DHCP6_PACKET_MISMATCH_SERVERID_DROP", "dropping packet %1 (transid=%2, interface=%3) having mismatched server identifier",
    "DHCP6_PACKET_PARSE_FAIL", "failed to parse incoming packet",
    "DHCP6_PACKET_PROCESS_FAIL", "processing of %1 message received from %2 failed: %3",
    "DHCP6_PACKET_RECEIVED", "%1 packet received",
    "DHCP6_PACKET_RECEIVE_FAIL", "error on attempt to receive packet: %1",
    "DHCP6_PACKET_SEND_FAIL", "failed to send DHCPv6 packet: %1",
    "DHCP6_PACK_FAIL", "failed to assemble response correctly",
    "DHCP6_PARSER_COMMIT_EXCEPTION", "parser failed to commit changes",
    "DHCP6_PARSER_COMMIT_FAIL", "parser failed to commit changes: %1",
    "DHCP6_PARSER_CREATED", "created parser for configuration element %1",
    "DHCP6_PARSER_EXCEPTION", "failed to create or run parser for configuration element %1",
    "DHCP6_PARSER_FAIL", "failed to create or run parser for configuration element %1: %2",
    "DHCP6_PD_LEASE_ADVERT", "prefix lease %1/%2 advertised (client duid=%3, iaid=%4)",
    "DHCP6_PD_LEASE_ADVERT_FAIL", "failed to advertise a prefix lease for client duid=%1, iaid=%2",
    "DHCP6_PD_LEASE_ALLOC", "prefix lease %1/%2 has been allocated (client duid=%3, iaid=%4)",
    "DHCP6_PD_LEASE_ALLOC_FAIL", "failed to grant a prefix lease for client duid=%1, iaid=%2",
    "DHCP6_PROCESS_IA_NA_REQUEST", "server is processing IA_NA option (duid=%1, iaid=%2, hint=%3)",
    "DHCP6_PROCESS_IA_PD_REQUEST", "server is processing IA_PD option (duid=%1, iaid=%2, hint=%3)",
    "DHCP6_QUERY_DATA", "received packet length %1, data length %2, data is %3",
    "DHCP6_RELEASE_MISSING_CLIENTID", "client (address=%1) sent RELEASE message without mandatory client-id",
    "DHCP6_RELEASE_NA", "address %1 belonging to client duid=%2, iaid=%3 was released properly",
    "DHCP6_RELEASE_NA_FAIL", "failed to remove address lease for address %1 for duid=%2, iaid=%3",
    "DHCP6_RELEASE_NA_FAIL_WRONG_DUID", "client (duid=%1) tried to release address %2, but it belongs to another client (duid=%3)",
    "DHCP6_RELEASE_NA_FAIL_WRONG_IAID", "client (duid=%1) tried to release address %2, but it used wrong IAID (expected %3, but got %4)",
    "DHCP6_RELEASE_PD", "prefix %1 belonging to client duid=%2, iaid=%3 was released properly",
    "DHCP6_RELEASE_PD_FAIL", "failed to remove prefix lease for address %1 for duid=%2, iaid=%3",
    "DHCP6_RELEASE_PD_FAIL_WRONG_DUID", "client (duid=%1) tried to release prefix %2, but it belongs to another client (duid=%3)",
    "DHCP6_RELEASE_PD_FAIL_WRONG_IAID", "client (duid=%1) tried to release prefix %2, but it used wrong IAID (expected %3, but got %4)",
    "DHCP6_REQUIRED_OPTIONS_CHECK_FAIL", "%1 message received from %2 failed the following check: %3",
    "DHCP6_RESPONSE_DATA", "responding with packet type %1 data is %2",
    "DHCP6_SERVERID_GENERATED", "server-id %1 has been generated and will be stored in %2",
    "DHCP6_SERVERID_LOADED", "server-id %1 has been loaded from file %2",
    "DHCP6_SERVERID_WRITE_FAIL", "server was not able to write its ID to file %1",
    "DHCP6_SERVER_FAILED", "server failed: %1",
    "DHCP6_SHUTDOWN", "server shutdown",
    "DHCP6_SHUTDOWN_REQUEST", "shutdown of server requested",
    "DHCP6_SOCKET_UNICAST", "server is about to open socket on address %1 on interface %2",
    "DHCP6_SRV_CONSTRUCT_ERROR", "error creating Dhcpv6Srv object, reason: %1",
    "DHCP6_STANDALONE", "skipping message queue, running standalone",
    "DHCP6_STARTING", "Kea DHCPv6 server version %1 starting",
    "DHCP6_START_INFO", "pid: %1, port: %2, verbose: %3",
    "DHCP6_SUBNET_SELECTED", "the %1 subnet was selected for client assignment",
    "DHCP6_SUBNET_SELECTION_FAILED", "failed to select a subnet for incoming packet, src=%1 type=%2",
    "DHCP6_UNKNOWN_MSG_RECEIVED", "received unknown message (type %d) on interface %2",
    "DHCP6_UNKNOWN_RELEASE_NA", "received RELEASE from unknown client (IA_NA, duid=%1, iaid=%2)",
    "DHCP6_UNKNOWN_RELEASE_PD", "received RELEASE from unknown client (IA_PD, duid=%1, iaid=%2)",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

