// File created from ../../../src/lib/config/config_messages.mes on Tue Jan 27 2015 06:44

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace config {

extern const isc::log::MessageID CONFIG_CCSESSION_MSG = "CONFIG_CCSESSION_MSG";
extern const isc::log::MessageID CONFIG_CCSESSION_MSG_INTERNAL = "CONFIG_CCSESSION_MSG_INTERNAL";
extern const isc::log::MessageID CONFIG_CCSESSION_STOPPING = "CONFIG_CCSESSION_STOPPING";
extern const isc::log::MessageID CONFIG_CCSESSION_STOPPING_UNKNOWN = "CONFIG_CCSESSION_STOPPING_UNKNOWN";
extern const isc::log::MessageID CONFIG_GET_FAIL = "CONFIG_GET_FAIL";
extern const isc::log::MessageID CONFIG_JSON_PARSE = "CONFIG_JSON_PARSE";
extern const isc::log::MessageID CONFIG_LOG_EXPLICIT = "CONFIG_LOG_EXPLICIT";
extern const isc::log::MessageID CONFIG_LOG_IGNORE_EXPLICIT = "CONFIG_LOG_IGNORE_EXPLICIT";
extern const isc::log::MessageID CONFIG_LOG_IGNORE_WILD = "CONFIG_LOG_IGNORE_WILD";
extern const isc::log::MessageID CONFIG_LOG_WILD_MATCH = "CONFIG_LOG_WILD_MATCH";
extern const isc::log::MessageID CONFIG_MOD_SPEC_FORMAT = "CONFIG_MOD_SPEC_FORMAT";
extern const isc::log::MessageID CONFIG_MOD_SPEC_REJECT = "CONFIG_MOD_SPEC_REJECT";
extern const isc::log::MessageID CONFIG_OPEN_FAIL = "CONFIG_OPEN_FAIL";
extern const isc::log::MessageID CONFIG_RPC_SEQ = "CONFIG_RPC_SEQ";

} // namespace config
} // namespace isc

namespace {

const char* values[] = {
    "CONFIG_CCSESSION_MSG", "error in CC session message: %1",
    "CONFIG_CCSESSION_MSG_INTERNAL", "error handling CC session message: %1",
    "CONFIG_CCSESSION_STOPPING", "error sending stopping message: %1",
    "CONFIG_CCSESSION_STOPPING_UNKNOWN", "unknown error sending stopping message",
    "CONFIG_GET_FAIL", "error getting configuration from cfgmgr: %1",
    "CONFIG_JSON_PARSE", "JSON parse error in %1: %2",
    "CONFIG_LOG_EXPLICIT", "will use logging configuration for explicitly-named logger %1",
    "CONFIG_LOG_IGNORE_EXPLICIT", "ignoring logging configuration for explicitly-named logger %1",
    "CONFIG_LOG_IGNORE_WILD", "ignoring logging configuration for wildcard logger %1",
    "CONFIG_LOG_WILD_MATCH", "will use logging configuration for wildcard logger %1",
    "CONFIG_MOD_SPEC_FORMAT", "module specification error in %1: %2",
    "CONFIG_MOD_SPEC_REJECT", "module specification rejected by cfgmgr: %1",
    "CONFIG_OPEN_FAIL", "error opening %1: %2",
    "CONFIG_RPC_SEQ", "RPC call %1 to %2 with seq %3",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

